# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::BlendEquation Class Reference

RenderState wrapping the OpenGL function glBlendEquation()/glBlendEquationSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendEquation.xml and http://www.opengl.org/sdk/docs/man/xhtml/glBlendEquationSeparate.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::BlendEquation:

List of all members.

## Public Member Functions

| BlendEquation (EBlendEquation mode_rgb=BE_FUNC_ADD, EBlendEquation mode_alpha=BE_FUNC_ADD)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (EBlendEquation mode_rgba)
void | set (EBlendEquation mode_rgb, EBlendEquation mode_alpha)
EBlendEquation | modeRGB () const
EBlendEquation | modeAlpha () const
virtual ref< RenderState > | clone () const

## Protected Attributes

EBlendEquation | mModeRGB
EBlendEquation | mModeAlpha

## Detailed Description

RenderState wrapping the OpenGL function glBlendEquation()/glBlendEquationSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendEquation.xml and http://www.opengl.org/sdk/docs/man/xhtml/glBlendEquationSeparate.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 657 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::BlendEquation::BlendEquation | ( | EBlendEquation | mode_rgb = `BE_FUNC_ADD`,
|  | EBlendEquation | mode_alpha = `BE_FUNC_ADD`
| ) |  | `[inline]`

Definition at line 662 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::BlendEquation::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 667 of file Shader.hpp.

References vl::RS_BlendEquation.

void BlendEquation::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 316 of file Shader.cpp.

References vl::Has_GL_Version_2_0, mModeAlpha, mModeRGB, and VL_CHECK_OGL.

void vl::BlendEquation::set | ( | EBlendEquation | mode_rgba ) | `[inline]`

Definition at line 673 of file Shader.hpp.

void vl::BlendEquation::set | ( | EBlendEquation | mode_rgb,
|  | EBlendEquation | mode_alpha
| ) |  | `[inline]`

Definition at line 675 of file Shader.hpp.

EBlendEquation vl::BlendEquation::modeRGB | ( | ) | const`[inline]`

Definition at line 677 of file Shader.hpp.

EBlendEquation vl::BlendEquation::modeAlpha | ( | ) | const`[inline]`

Definition at line 679 of file Shader.hpp.

virtual ref<RenderState> vl::BlendEquation::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 681 of file Shader.hpp.

## Member Data Documentation

EBlendEquation vl::BlendEquation::mModeRGB`[protected]`

Definition at line 689 of file Shader.hpp.

Referenced by apply().

EBlendEquation vl::BlendEquation::mModeAlpha`[protected]`

Definition at line 690 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:51.
Permission is granted to use this page to write and publish articles regarding Visualization Library.